Upstream information

CVE-2012-4453 at MITRE

Description

dracut.sh in dracut, as used in Red Hat Enterprise Linux 6, Fedora 16 and 17, and possibly other products, creates initramfs images with world-readable permissions, which might allow local users to obtain sensitive information.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 2.1
Vector AV:L/AC:L/Au:N/C:P/I:N/A:N
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
SUSE Bugzilla entries: 1008340 [RESOLVED / FIXED], 782734 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 6
SUSE Linux Enterprise Desktop 15 SP1
SUSE Linux Enterprise High Performance Computing 15 SP1
SUSE Linux Enterprise Module for Basesystem 15 SP1
SUSE Linux Enterprise Server 15 SP1
SUSE Linux Enterprise Server for SAP Applications 15 SP1
SUSE Manager Proxy 4.0
SUSE Manager Retail Branch Server 4.0
SUSE Manager Server 4.0
  • dracut >= 044.2-18.24.1
  • dracut-fips >= 044.2-18.24.1
  • dracut-ima >= 044.2-18.24.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA dracut-044.2-18.24.1
SUSE Linux Enterprise Desktop 12 SP1
  • dracut >= 037-66.2
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA dracut-037-66.2
SUSE Linux Enterprise Desktop 12 SP2
  • dracut >= 044-87.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA dracut-044-87.1
SUSE Linux Enterprise Desktop 12 SP3
  • dracut >= 044-113.10
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA dracut-044-113.10
SUSE Linux Enterprise Desktop 12 SP4
  • dracut >= 044.1-9.5
Patchnames:
SUSE Linux Enterprise Desktop 12 SP4 GA dracut-044.1-9.5
SUSE Linux Enterprise Desktop 12
  • dracut >= 037-34.4
Patchnames:
SUSE Linux Enterprise Desktop 12 GA dracut-037-34.4
SUSE Linux Enterprise Desktop 15
SUSE Linux Enterprise High Performance Computing 15
SUSE Linux Enterprise Module for Basesystem 15
SUSE Linux Enterprise Server 15
SUSE Linux Enterprise Server for SAP Applications 15
  • dracut >= 044.1-16.11
  • dracut-fips >= 044.1-16.11
  • dracut-ima >= 044.1-16.11
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA dracut-044.1-16.11
SUSE Linux Enterprise High Performance Computing 12 SP5
  • dracut >= 044.2-15.1
  • dracut-fips >= 044.2-15.1
Patchnames:
SUSE Linux Enterprise High Performance Computing 12 SP5 GA dracut-044.2-15.1
SUSE Linux Enterprise Micro 6.0
  • dracut >= 059+suse.557.g8a62bf73-1.8
  • dracut-fips >= 059+suse.557.g8a62bf73-1.8
Patchnames:
SUSE Linux Enterprise Micro 6.0 GA dracut-059+suse.557.g8a62bf73-1.8
SUSE Linux Enterprise Server 12 SP1
  • dracut >= 037-66.2
  • dracut-fips >= 037-66.2
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA dracut-037-66.2
SUSE Linux Enterprise Server 12 SP2
  • dracut >= 044-87.1
  • dracut-fips >= 044-87.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA dracut-044-87.1
SUSE Linux Enterprise Server 12 SP3
  • dracut >= 044-113.10
  • dracut-fips >= 044-113.10
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA dracut-044-113.10
SUSE Linux Enterprise Server 12 SP4
  • dracut >= 044.1-9.5
  • dracut-fips >= 044.1-9.5
Patchnames:
SUSE Linux Enterprise Server 12 SP4 GA dracut-044.1-9.5
SUSE Linux Enterprise Server 12 SP5
  • dracut >= 044.2-15.1
  • dracut-fips >= 044.2-15.1
Patchnames:
SUSE Linux Enterprise Server 12 SP5 GA dracut-044.2-15.1
SUSE Linux Enterprise Server 12
  • dracut >= 037-34.4
  • dracut-fips >= 037-34.4
Patchnames:
SUSE Linux Enterprise Server 12 GA dracut-037-34.3
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • dracut >= 044-87.1
  • dracut-fips >= 044-87.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA dracut-044-87.1
openSUSE Leap 15.0
  • dracut >= 044.1-lp150.13.6
Patchnames:
openSUSE Leap 15.0 GA dracut-044.1-lp150.13.6
openSUSE Tumbleweed
  • dracut >= 044-17.1
  • dracut-fips >= 044-17.1
  • dracut-tools >= 044-17.1
Patchnames:
openSUSE-Tumbleweed-2024-10225


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Linux Enterprise Micro 5.3 dracut Already fixed
SUSE Linux Enterprise Micro 5.4 dracut Already fixed
SUSE Manager Proxy 4.3 dracut Already fixed
SUSE Manager Retail Branch Server 4.3 dracut Already fixed
SUSE Manager Server 4.3 dracut Already fixed
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 dracut Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP4 dracut Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS dracut Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS dracut Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP4 dracut Already fixed
SUSE Linux Enterprise Server 15 SP4 dracut Already fixed
SUSE Linux Enterprise Server 15 SP4-LTSS dracut Already fixed
SUSE Linux Enterprise Server 15-ESPOS dracut Unsupported
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 dracut Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP4 dracut Already fixed
Products past their end of life and not receiving proactive updates anymore.
SUSE CaaS Platform 4.0 dracut Released
SUSE Enterprise Storage 6 dracut Affected
SUSE Linux Enterprise Desktop 12 SP4 dracut Affected
SUSE Linux Enterprise Desktop 15 dracut Affected
SUSE Linux Enterprise Desktop 15 SP1 dracut Affected
SUSE Linux Enterprise High Performance Computing 15 dracut Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 dracut Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS dracut Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS dracut Released
SUSE Linux Enterprise High Performance Computing 15-ESPOS dracut Affected
SUSE Linux Enterprise High Performance Computing 15-LTSS dracut Unsupported
SUSE Linux Enterprise Module for Basesystem 15 dracut Affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 dracut Affected
SUSE Linux Enterprise Real Time 15 SP4 dracut Already fixed
SUSE Linux Enterprise Server 12 SP4 dracut Affected
SUSE Linux Enterprise Server 12 SP4-ESPOS dracut Released
SUSE Linux Enterprise Server 12 SP4-LTSS dracut Released
SUSE Linux Enterprise Server 15 dracut Affected
SUSE Linux Enterprise Server 15 SP1 dracut Affected
SUSE Linux Enterprise Server 15 SP1-BCL dracut Affected
SUSE Linux Enterprise Server 15 SP1-LTSS dracut Released
SUSE Linux Enterprise Server 15-LTSS dracut Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP4 dracut Released
SUSE Linux Enterprise Server for SAP Applications 15 dracut Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP1 dracut Released
SUSE Manager Proxy 4.0 dracut Unsupported
SUSE Manager Retail Branch Server 4.0 dracut Unsupported
SUSE Manager Server 4.0 dracut Unsupported
SUSE OpenStack Cloud 9 dracut Released
SUSE OpenStack Cloud Crowbar 9 dracut Released
openSUSE Leap 15.4 dracut Already fixed
openSUSE Leap Micro 5.3 dracut Already fixed
openSUSE Leap Micro 5.4 dracut Already fixed


SUSE Timeline for this CVE

CVE page created: Fri Jun 28 13:06:45 2013
CVE page last modified: Fri Jul 19 16:36:02 2024